# Uses of Interface
org.eclipse.emf.compare.scope.IComparisonScope

Packages that use IComparisonScope
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.ide.ui.internal.configuration
org.eclipse.emf.compare.ide.ui.internal.editor
org.eclipse.emf.compare.ide.ui.internal.logical
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer
org.eclipse.emf.compare.match
org.eclipse.emf.compare.match.impl
org.eclipse.emf.compare.merge
org.eclipse.emf.compare.postprocessor
org.eclipse.emf.compare.rcp.internal.match
org.eclipse.emf.compare.rcp.internal.postprocessor
org.eclipse.emf.compare.rcp.ui.internal.configuration
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups
org.eclipse.emf.compare.scope

## Uses of IComparisonScope in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return IComparisonScope
Modifier and Type
Method
Description
`static IComparisonScope`
EMFCompare.`createDefaultScope(Notifier left, Notifier right)`
Deprecated.
this was only a delegation to the publicly accessible `DefaultComparisonScope`... it will be removed in a subsequent release.
`static IComparisonScope`
EMFCompare.`createDefaultScope(Notifier left, Notifier right, Notifier origin)`
Deprecated.
this was only a delegation to the publicly accessible `DefaultComparisonScope`... it will be removed in a subsequent release.
Methods in org.eclipse.emf.compare with parameters of type IComparisonScope
Modifier and Type
Method
Description
`Comparison`
EMFCompare.`compare(IComparisonScope scope)`
Computes and returns a new Comparison object representation the differences between Notifier in the give `scope`.
`Comparison`
EMFCompare.`compare(IComparisonScope scope, Monitor monitor)`
Launches the comparison with the given scope and reporting progress to the given `monitor`.

## Uses of IComparisonScope in org.eclipse.emf.compare.ide.ui.internal.configuration

Methods in org.eclipse.emf.compare.ide.ui.internal.configuration that return IComparisonScope
Modifier and Type
Method
Description
`IComparisonScope`
EMFCompareConfiguration.`getComparisonScope()`
Methods in org.eclipse.emf.compare.ide.ui.internal.configuration with parameters of type IComparisonScope
Modifier and Type
Method
Description
`protected void`
EMFCompareConfiguration.`initStructureMergeViewerFilter(Comparison comparison, IComparisonScope comparisonScope)`
`protected void`
EMFCompareConfiguration.`initStructureMergeViewerGroupProvider(Comparison comparison, IComparisonScope comparisonScope)`
`void`
EMFCompareConfiguration.`setComparisonAndScope(Comparison newComparison, IComparisonScope newComparisonScope)`

## Uses of IComparisonScope in org.eclipse.emf.compare.ide.ui.internal.editor

Methods in org.eclipse.emf.compare.ide.ui.internal.editor that return IComparisonScope
Modifier and Type
Method
Description
`IComparisonScope`
ComparisonScopeInput.`getComparisonScope()`
Constructors in org.eclipse.emf.compare.ide.ui.internal.editor with parameters of type IComparisonScope
Modifier
Constructor
Description
``
`ComparisonScopeEditorInput(EMFCompareConfiguration configuration, ICompareEditingDomain editingDomain, AdapterFactory adapterFactory, EMFCompare comparator, IComparisonScope scope)`
``
`ComparisonScopeInput(IComparisonScope scope, AdapterFactory adapterFactory)`

## Uses of IComparisonScope in org.eclipse.emf.compare.ide.ui.internal.logical

Classes in org.eclipse.emf.compare.ide.ui.internal.logical that implement IComparisonScope
Modifier and Type
Class
Description
`class`
`EmptyComparisonScope`
This implementation of a comparison scope can be supplied to EMF Compare if there was an error beyond repair during the creation of the scope.
Methods in org.eclipse.emf.compare.ide.ui.internal.logical that return IComparisonScope
Modifier and Type
Method
Description
`IComparisonScope`
ComparisonScopeBuilder.`build(org.eclipse.compare.ITypedElement left, org.eclipse.compare.ITypedElement right, org.eclipse.compare.ITypedElement origin, org.eclipse.core.runtime.IProgressMonitor monitor)`
Builds a comparison scope from the given starting elements.
`IComparisonScope`
ComparisonScopeBuilder.`build(org.eclipse.compare.ITypedElement left, org.eclipse.compare.ITypedElement right, org.eclipse.core.runtime.IProgressMonitor monitor)`
Builds a comparison scope from the given two starting elements.
`static IComparisonScope`
ComparisonScopeBuilder.`create(org.eclipse.compare.ICompareContainer container, org.eclipse.compare.ITypedElement left, org.eclipse.compare.ITypedElement right, org.eclipse.compare.ITypedElement origin, org.eclipse.core.runtime.IProgressMonitor monitor)`
Constructs the comparison scope corresponding to the given typed elements.
`static IComparisonScope`
ComparisonScopeBuilder.`create(SynchronizationModel synchronizationModel, org.eclipse.core.runtime.IProgressMonitor monitor)`
Creates the comparison scope corresponding to the given synchronization model, with no further operation on it.

## Uses of IComparisonScope in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer that return IComparisonScope
Modifier and Type
Method
Description
`IComparisonScope`
IComparisonProvider.`getComparisonScope(org.eclipse.core.runtime.IProgressMonitor monitor)`
Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer with parameters of type IComparisonScope
Modifier and Type
Method
Description
`protected void`
EMFCompareStructureMergeViewer.`compareInputChanged(IComparisonScope scope, Comparison comparison, org.eclipse.core.runtime.IProgressMonitor monitor)`

## Uses of IComparisonScope in org.eclipse.emf.compare.match

Methods in org.eclipse.emf.compare.match with parameters of type IComparisonScope
Modifier and Type
Method
Description
`IMatchEngine.Factory`
IMatchEngine.Factory.Registry.`getHighestRankingMatchEngineFactory(IComparisonScope scope)`
Returns the match engine factory, for the given scope, owning the highest ranking.
`List<IMatchEngine.Factory>`
IMatchEngine.Factory.Registry.`getMatchEngineFactories(IComparisonScope scope)`
Returns the list of `IMatchEngine.Factory` contained in the registry.
`boolean`
IMatchEngine.Factory.`isMatchEngineFactoryFor(IComparisonScope scope)`
Check if the match engine factory is a good candidate for comparison.
`protected void`
DefaultMatchEngine.`match(Comparison comparison, IComparisonScope scope, Notifier left, Notifier right, Notifier origin, Monitor monitor)`
This methods will delegate to the proper "match(T, T, T)" implementation according to the types of `left`, `right` and `origin`.
`protected void`
DefaultMatchEngine.`match(Comparison comparison, IComparisonScope scope, EObject left, EObject right, EObject origin, Monitor monitor)`
This will query the scope for the given `EObject`s' children, then delegate to an `IEObjectMatcher` to compute the Matches.
`protected void`
DefaultMatchEngine.`match(Comparison comparison, IComparisonScope scope, Resource left, Resource right, Resource origin, Monitor monitor)`
This will only query the scope for the given Resources' children, then delegate to an `IEObjectMatcher` to determine the EObject matches.
`protected void`
DefaultMatchEngine.`match(Comparison comparison, IComparisonScope scope, ResourceSet left, ResourceSet right, ResourceSet origin, Monitor monitor)`
This will be used to match the given `ResourceSet`s.
`Comparison`
DefaultMatchEngine.`match(IComparisonScope scope, Monitor monitor)`
This is the entry point of a Comparison process.
`Comparison`
IMatchEngine.`match(IComparisonScope scope, Monitor monitor)`
This is the entry point of a Comparison process.

## Uses of IComparisonScope in org.eclipse.emf.compare.match.impl

Methods in org.eclipse.emf.compare.match.impl with parameters of type IComparisonScope
Modifier and Type
Method
Description
`IMatchEngine.Factory`
MatchEngineFactoryRegistryImpl.`getHighestRankingMatchEngineFactory(IComparisonScope scope)`
Returns the match engine factory, for the given scope, owning the highest ranking.
`List<IMatchEngine.Factory>`
MatchEngineFactoryRegistryImpl.`getMatchEngineFactories(IComparisonScope scope)`
Returns the list of `IMatchEngine.Factory` contained in the registry.
`boolean`
MatchEngineFactoryImpl.`isMatchEngineFactoryFor(IComparisonScope scope)`
Check if the match engine factory is a good candidate for comparison.

## Uses of IComparisonScope in org.eclipse.emf.compare.merge

Constructors in org.eclipse.emf.compare.merge with parameters of type IComparisonScope
Modifier
Constructor
Description
``
`ResourceChangeAdapter(Comparison comparison, IComparisonScope scope)`
Constructor.

## Uses of IComparisonScope in org.eclipse.emf.compare.postprocessor

Methods in org.eclipse.emf.compare.postprocessor with parameters of type IComparisonScope
Modifier and Type
Method
Description
`List<IPostProcessor>`
IPostProcessor.Descriptor.Registry.`getPostProcessors(IComparisonScope scope)`
Retrieve the post processors from a given `scope`.
`List<IPostProcessor>`
PostProcessorDescriptorRegistryImpl.`getPostProcessors(IComparisonScope scope)`
Retrieve the post processors from a given `scope`.

## Uses of IComparisonScope in org.eclipse.emf.compare.rcp.internal.match

Methods in org.eclipse.emf.compare.rcp.internal.match with parameters of type IComparisonScope
Modifier and Type
Method
Description
`IMatchEngine.Factory`
MatchEngineFactoryRegistryWrapper.`getHighestRankingMatchEngineFactory(IComparisonScope scope)`
Returns the match engine factory, for the given scope, owning the highest ranking.
`List<IMatchEngine.Factory>`
MatchEngineFactoryRegistryWrapper.`getMatchEngineFactories(IComparisonScope scope)`
Returns the list of `IMatchEngine.Factory` contained in the registry.
`boolean`
DefaultRCPMatchEngineFactory.`isMatchEngineFactoryFor(IComparisonScope scope)`
Check if the match engine factory is a good candidate for comparison.

## Uses of IComparisonScope in org.eclipse.emf.compare.rcp.internal.postprocessor

Methods in org.eclipse.emf.compare.rcp.internal.postprocessor with parameters of type IComparisonScope
Modifier and Type
Method
Description
`List<IPostProcessor>`
PostProcessorRegistryImpl.`getPostProcessors(IComparisonScope scope)`
Retrieve the post processors from a given `scope`.

## Uses of IComparisonScope in org.eclipse.emf.compare.rcp.ui.internal.configuration

Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration that return IComparisonScope
Modifier and Type
Method
Description
`IComparisonScope`
IEMFCompareConfiguration.`getComparisonScope()`
`IComparisonScope`
IComparisonAndScopeChange.`getNewScope()`
`IComparisonScope`
IComparisonAndScopeChange.`getOldScope()`
Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration with parameters of type IComparisonScope
Modifier and Type
Method
Description
`void`
IEMFCompareConfiguration.`setComparisonAndScope(Comparison comparison, IComparisonScope comparisonScope)`

## Uses of IComparisonScope in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl that return IComparisonScope
Modifier and Type
Method
Description
`IComparisonScope`
ComparisonAndScopeChange.`getNewScope()`
`IComparisonScope`
ComparisonAndScopeChange.`getOldScope()`
Constructors in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl with parameters of type IComparisonScope
Modifier
Constructor
Description
``
`ComparisonAndScopeChange(Comparison oldComparison, Comparison newComparison, IComparisonScope oldPredicate, IComparisonScope newScope)`

## Uses of IComparisonScope in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions with parameters of type IComparisonScope
Modifier and Type
Method
Description
`void`
FilterActionMenu.`updateMenu(IComparisonScope newScope, Comparison newComparison)`
Create all of our filtering actions into the given menu.
`void`
GroupActionMenu.`updateMenu(IComparisonScope scope, Comparison comparison)`
Create the grouping action in the given menu.

## Uses of IComparisonScope in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl with parameters of type IComparisonScope
Modifier and Type
Method
Description
`List<IDifferenceFilter>`
DifferenceFilterRegistryImpl.`getFilters(IComparisonScope scope, Comparison comparison)`
Returns the list of `IDifferenceFilter` contained in the registry.

## Uses of IComparisonScope in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with parameters of type IComparisonScope
Modifier and Type
Method
Description
`IDifferenceGroupProvider.Descriptor`
DifferenceGroupRegistryImpl.`getDefaultGroupProvider(IComparisonScope scope, Comparison comparison)`
Returns the default group provider.
`List<IDifferenceGroupProvider.Descriptor>`
DifferenceGroupRegistryImpl.`getGroupProviders(IComparisonScope scope, Comparison comparison)`
Returns the list of `IDifferenceGroupProvider` contained in the registry.
`boolean`
ThreeWayComparisonGroupProvider.`isEnabled(IComparisonScope scope, Comparison comparison)`
Returns the activation condition based on the scope and comparison objects.

## Uses of IComparisonScope in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters

Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters with parameters of type IComparisonScope
Modifier and Type
Method
Description
`Collection<IDifferenceFilter>`
IDifferenceFilter.Registry.`getFilters(IComparisonScope scope, Comparison comparison)`
Returns the list of `IDifferenceFilter` contained in the registry.
`boolean`
AbstractDifferenceFilter.`isEnabled(IComparisonScope scope, Comparison comparison)`
Returns the activation condition based on the scope and comparison objects.
`boolean`
IDifferenceFilter.`isEnabled(IComparisonScope scope, Comparison comparison)`
Returns the activation condition based on the scope and comparison objects.

## Uses of IComparisonScope in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups with parameters of type IComparisonScope
Modifier and Type
Method
Description
`IDifferenceGroupProvider.Descriptor`
IDifferenceGroupProvider.Descriptor.Registry.`getDefaultGroupProvider(IComparisonScope scope, Comparison comparison)`
Returns the default group provider.
`Collection<IDifferenceGroupProvider.Descriptor>`
IDifferenceGroupProvider.Descriptor.Registry.`getGroupProviders(IComparisonScope scope, Comparison comparison)`
Returns the list of `IDifferenceGroupProvider` contained in the registry.
`boolean`
AbstractDifferenceGroupProvider.`isEnabled(IComparisonScope scope, Comparison comparison)`
Returns the activation condition based on the scope and comparison objects.
`boolean`
IDifferenceGroupProvider.`isEnabled(IComparisonScope scope, Comparison comparison)`
Returns the activation condition based on the scope and comparison objects.

## Uses of IComparisonScope in org.eclipse.emf.compare.scope

Subinterfaces of IComparisonScope in org.eclipse.emf.compare.scope
Modifier and Type
Interface
Description
`interface`
`IComparisonScope2`
The scope of a model comparison.
Classes in org.eclipse.emf.compare.scope that implement IComparisonScope
Modifier and Type
Class
Description
`class`
`AbstractComparisonScope`
This implementation of `IComparisonScope` can be sub-classed in order to avoid re-implementing some of the methods imposed by this interface.
`class`
`DefaultComparisonScope`
This is the default implementation of an `IComparisonScope`.
`class`
`FilterComparisonScope`
This implementation of an `IComparisonScope` can be provided specific filters to filter out parts of the Notifiers' content lists.